Subject: Re: bug#58364: [PATCH] Add new function 'file-name-parent-p'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 08 Oct 2022 14:16:07 +0300

> From: Philip Kaludercic <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 08 Oct 2022 10:29:23 +0000
> 
> > I think a better place is in "Contents of Directories", since
> > locate-dominating-file is already there.  
> 
> I agree, sounds good.
> 
> >                                           More importantly, what index
> > entries should we have for this function to make its discovery easier?
> > Something like "@cindex parent directory of file", perhaps?
> 
> Drew brought up the word "ancestor", which might also be a word that
> people would use to find such a function.

I added both.

> > For apropos, how about changing the doc string to say this instead:
> >
> >   Return non-nil if DIR is a parent directory of FILE.
> >
> >   Value is non-nil if FILE is inside DIR or inside a subdirectory of
> >   DIR.  A directory is considered to be a "parent" of itself.
> >
> >   Dir must be an existing directory, otherwise the function returns
>     ^
>     shouldn't this be "DIR"?

Yes, of course.

Done on the release branch.